// @ts-ignore
/* eslint-disable */
import request from "../request";

/** 判断是否关注公众号 POST /auth/isSubscribe */
export async function isSubscribe(options?: { [key: string]: any }) {
  return request<AuthAPI.SingleResponseBoolean>("/auth/isSubscribe", {
    method: "POST",
    ...(options || {}),
  });
}

/** 管理员详情 GET /auth/userAdmin */
export async function userAdmin(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: AuthAPI.userAdminParams,
  options?: { [key: string]: any },
) {
  return request<AuthAPI.SingleResponseAdminVO>("/auth/userAdmin", {
    method: "GET",
    params: {
      ...params,
      adminShowQry: undefined,
      ...params["adminShowQry"],
    },
    ...(options || {}),
  });
}

/** 员工详情 GET /auth/userEmployee */
export async function userEmployee(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: AuthAPI.userEmployeeParams,
  options?: { [key: string]: any },
) {
  return request<AuthAPI.SingleResponseEmployeeVO>("/auth/userEmployee", {
    method: "GET",
    params: {
      ...params,
      employeeShowQry: undefined,
      ...params["employeeShowQry"],
    },
    ...(options || {}),
  });
}

/** 更新员工头像 POST /auth/userEmployeeUpdateAvatar */
export async function userEmployeeUpdateAvatar(
  body: AuthAPI.EmployeeUpdateAvatarCmd,
  options?: { [key: string]: any },
) {
  return request<AuthAPI.Response>("/auth/userEmployeeUpdateAvatar", {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
    },
    data: body,
    ...(options || {}),
  });
}

/** 用户信息 GET /auth/userInfo */
export async function userInfo(options?: { [key: string]: any }) {
  return request<AuthAPI.SingleResponseUserAuthVO>("/auth/userInfo", {
    method: "GET",
    ...(options || {}),
  });
}

/** 菜单列表 GET /auth/userMenu */
export async function userMenu(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: AuthAPI.userMenuParams,
  options?: { [key: string]: any },
) {
  return request<AuthAPI.MultiResponseTreeLong>("/auth/userMenu", {
    method: "GET",
    params: {
      ...params,
      roleMenuTreeQry: undefined,
      ...params["roleMenuTreeQry"],
    },
    ...(options || {}),
  });
}

/** 修改用户信息 POST /auth/userUpdate */
export async function userUpdate(
  body: AuthAPI.UserUpdateCmd,
  options?: { [key: string]: any },
) {
  return request<AuthAPI.Response>("/auth/userUpdate", {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
    },
    data: body,
    ...(options || {}),
  });
}

/** 绑定微信手机号码 POST /auth/wxMaPhone */
export async function wxMaPhone(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: AuthAPI.wxMaPhoneParams,
  options?: { [key: string]: any },
) {
  return request<AuthAPI.SingleResponseString>("/auth/wxMaPhone", {
    method: "POST",
    params: {
      ...params,
      wxMaPhoneQry: undefined,
      ...params["wxMaPhoneQry"],
    },
    ...(options || {}),
  });
}

/** 绑定微信手机号码 POST /auth/wxMaPhoneBind */
export async function wxMaPhoneBind(
  body: AuthAPI.WxMaPhoneBindCmd,
  options?: { [key: string]: any },
) {
  return request<AuthAPI.Response>("/auth/wxMaPhoneBind", {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
    },
    data: body,
    ...(options || {}),
  });
}
